Create #MetaWiki-Gadgets
Closed, DeclinedPublic

Description

Same as Wikidata-Gadgets. In order to find and coordinate issues with gadgets at MetaWiki I propose that we create a component project so we can track everything in one place.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2017, 4:35 PM
Aklapper added a comment.EditedJun 15 2017, 7:20 PM

While wikidata.org feels like having rather specific use cases, I am less convinced that gadgets on meta are "special enough" compared to most other Wikimedia sites.
Who is "we" and who has committed to finding and coordinating issues with gadgets on MetaWiki? What kind of issues do you have in mind?
Who else on Meta has agreed on and committed to using Phabricator for this? Any public discussion to link to?

While wikidata.org feels like having rather specific use cases, I am less convinced that gadgets on meta are "special enough" compared to most other Wikimedia sites.

Gadgets on Meta have the potential of being global gadgets if we use them via our global.js pages. Global functionaries take tools from there so I am a bit astonished with your assertion that our gadgets are not special enough when they're used to perform critical tasks on many projects from one single central location (for example: this one which was created as a workaround for T25310)

Who is "we" and who has committed to finding and coordinating issues with gadgets on MetaWiki?

We is we, I mean, all of us here and at Meta. The reason for proposing this is that there's no one currently active at Meta-Wiki that looks for JS/CSS fixes to do on Gadgets. In fact, well, Wikimedia projects is about content and know how to code is not our main goal, despite introducing lately some functions that only we can use if we know about coding such as Scribunto, etc. Requests usually sit unatended for months or years unless the gadget is very popular.

What kind of issues do you have in mind?

See above.

Who else on Meta has agreed on and committed to using Phabricator for this? Any public discussion to link to?

I have not opened at discussion at Meta, do you think we need one? Requests can continue to be done at the talk page of the gadget in question and a task can be opened here as well, so it's not like a total replace.

In any case, thanks for your comments. This is the point in opening this task, get opinions about its pros and contras.

Thanks.

We is we, I mean, all of us here and at Meta. The reason for proposing this is that there's no one currently active at Meta-Wiki that looks for JS/CSS fixes to do on Gadgets.

And that's why I probably currently oppose the request in this task. I don't believe that creating some project in some task tracker without previous commitment and awareness of maintainers solves any problem. See my points of view in T85433#1373799 and T85433#1549981... :)

MarcoAurelio changed the task status from Open to Stalled.Jun 23 2017, 8:33 AM

Okay, let me get back to Meta and see what they think. I thought this was not a bad idea but I'll try to get some comments there and update this task. Thanks!

Thanks a lot! In short my stance over it is probably: If a Phab project was 'only' wanted because "there would be greater visibility of gadget issues on Meta, so in theory someone might take a look" then I'd not be convinced, as it would be adding yet another place where to discuss the same stuff, potentially increasing fragmentation and duplication. But if folks do maintain gadgets and want a place themselves to plan working on gadgets on Meta, I'd be more than happy to offer Phabricator for this! :)

There is already discussions about having more centralization: T121470: Central Global Repository for Templates, Lua modules, and Gadgets.

If someone is willing to be a point-of-contact for the MetaWiki-Gadgets than I think it would be good for this project to live as a component on Phabricator. Also, then issues on it would become a useful resource for our Annoying little bugs page and for the task list of the upcoming hackathon.

As promised I announced this Task in Meta:Babel on 23 June. I still believe that this will be a useful project to report, plan and work on fixing issues. Thanks.

Are there existing tasks in this Phabricator installation that could be immediately tagged with a #MetaWiki-Gadgets (or #Meta-Wiki-Gadgets) project/tag?

Elitre added a subscriber: Elitre.Jul 6 2017, 7:33 AM
MarcoAurelio triaged this task as Low priority.Jul 9 2017, 8:51 AM

Are there existing tasks in this Phabricator installation that could be immediately tagged with a #MetaWiki-Gadgets (or #Meta-Wiki-Gadgets) project/tag?

Not currently that I am aware of, but there are some that could be created as there's a lot of unmantained/old/deprecated JavaScript/CSS in our Gadgets that could use some love. Thanks.

MarcoAurelio lowered the priority of this task from Low to Lowest.Jul 21 2017, 6:04 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 6:04 PM

After nearly a month of having placed the question up for the community there has been no opposition to the idea. I'll let @Aklapper decide if that's okay or he still has concerns. Regards.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 4 2017, 12:52 PM

Would you (or anyone else) be point of contact (see T167983#3388870)?
No feedback from any gadget maintainers at all (see T167983#3374375)? :( Or are there no gadget maintainers on meta?

Would you (or anyone else) be point of contact (see T167983#3388870)?

I have no problems with being a contact.

No feedback from any gadget maintainers at all (see T167983#3374375)? :( Or are there no gadget maintainers on meta?

The second is mostly the reason unfortunately. Therefore when a Gadget breaks or we need a change on it it can take months to have it fixed. That's why I thought Phabricator could be a better place as requests for new gadgets and fixes would be more visible for those with technical knowledge.

I'm slightly positive on giving this a shot, however my question still stands: Where are gadget issues on meta currently discussed / reported and how will folks on meta find out about that project in Phab and actually report issues in Phab?

I'm slightly positive on giving this a shot, however my question still stands: Where are gadget issues on meta currently discussed / reported and how will folks on meta find out about that project in Phab and actually report issues in Phab?

There is not one single place where bugs are reported. People either use the talk page of the gadget, Meta:Babel, m:Tech or directly on the talk page of the mantainer. If this goes forward my idea is to have a banner in the talk page of the gadgets pointing people to report issues here as it's done in Wikidata.

That said, if we want more time for a second advertisement this time posted on the MediaWiki talk of the gadgets so people can comment I can do that as well. The idea is to make this proposed project a success not another place where things will get stagnated.

The problem with that is that the gadget creators and maintained need to be 1) here 2) agree to use Phab for the purpose you're suggesting. Otherwise it /will/ be just another venue for feedback (which isn't necessarily a bad thing, but certainly doesn't make things move forward much, in itself). Maybe locate a series of such people (individuals or organised in wikiprojects group) and get them in agreement. (Some people prefer external sites like Jira of GitHub for example, and I doubt they'll change venue without a clear benefit.)

MarcoAurelio closed this task as Declined.Aug 17 2017, 3:03 PM

While not opposed nobody seems to be interested on-wiki, let alone here.

Base added a subscriber: Base.Aug 17 2017, 7:55 PM